ALTER TRIGGER "tub_mt_kanne" before update order 1 on
DBA.mt_kanne
referencing old as old_name new as new_name
for each row
begin
  if new_name.sisse = 1 then
    set new_name.const='X'
  end if;
  call mt_add_toode(new_name.tootnr,new_name.yksusnr);
  set new_name.aasta=YEARS(new_name.kuup);
  set new_name.kell2=Now(*);
  if years(new_name.kuup)>2020 then
    call pr_kanne_add(month(new_name.kuup),years(new_name.kuup),new_name.yksusnr,7);
    if (month(old_name.kuup)<>month(new_name.kuup)) or (old_name.yksusnr<>new_name.yksusnr) then
      call pr_kanne_add(month(old_name.kuup),years(old_name.kuup),old_name.yksusnr,7);
    end if;
  end if;
end